package a3test.sound;

import jp.sourceforge.acerola3d.a3.*;

public class ManySound {
    public static void main(String args[]) throws Exception {
        //System.setProperty("j3d.audiodevice","com.sun.j3d.audioengines.javasound.JavaSoundMixer");
        //System.setProperty("j3d.audiodevice","org.jdesktop.j3d.audioengines.joal.JOALMixer");
        //System.setProperty("acerola3d.action3d.sound","JOAL_DIRECT");
        A3Window w = new A3Window(300,300);
        Action3D a3s[][] = new Action3D[10][10];
        for (int i=0;i<10;i++) {
            for (int j=0;j<10;j++) {
                a3s[i][j] = new Action3D("x-res:///bullet.a3");
                a3s[i][j].setLoc(i/10.0-0.5,j/10.0-0.5,0.0);
                w.add(a3s[i][j]);
                Thread.sleep(100);
            }
        }
        
        while (true) {
            for (int i=0;i<10;i++) {
                for (int j=0;j<10;j++) {
                    a3s[i][j].change(0);
                    Thread.sleep(100);
                }
            }
        }
        /**/
    }
}
